
package org.mule.modules.config;

import org.mule.api.Capabilities;
import org.mule.api.Capability;


/**
 * A <code>AS2ConnectorCapabilitiesAdapter</code> is a wrapper around {@link org.mule.modules.AS2Connector } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class AS2ConnectorCapabilitiesAdapter
    extends org.mule.modules.AS2Connector
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
